Bug 726823 - No NetworkManager on first boot of installed system
No NetworkManager on first boot of installed system
Status: RESOLVED FIXED
: 724151 726003 726435 728327 728381 728557 728849 (view as bug list)
Classification: openSUSE
Product: openSUSE 12.1
Classification: openSUSE
Component: YaST2
Final
64bit SUSE Other
: P2 - High : Critical (vote)
: ---
Assigned To: Frederic Crozat
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-27 12:44 UTC by James Knott
Modified: 2021-03-09 12:11 UTC (History)
18 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
coolo: SHIP_STOPPER+


Attachments
/var/log/NetworkManager (48.92 KB, text/plain)
2011-10-27 21:46 UTC, Will Stephenson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description James Knott 2011-10-27 12:44:07 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9.2.4) Gecko/20100611 SUSE/3.6.4-6.1 Firefox/3.6.4

In 12.1 RC1, KNetworkManager does not work at all.  There is no icon on the bar for it.  It does run on the Live CD.  However, even with the Live CD, it doesn't work with WiFi.

This is on a ThinkPad E520 type 1143-3BU

Reproducible: Always

Steps to Reproduce:
1.Install RC1
2.
3.
Actual Results:  
No KNetworkManager on bar
Comment 1 Will Stephenson 2011-10-27 21:38:16 UTC
Are you referring to KNetworkManager (no longer used) or the plasmoid-networkmanagement applet?

Assuming the latter, does "12.1 RC1" mean an installed system from the DVD image or from the Live CD?
Comment 2 James Knott 2011-10-27 21:43:53 UTC
When I was referring to plasmoid-networkmanagement on the install.  However, since resolving the problem with getting WiFi to work, the network manager also works.
Comment 3 Will Stephenson 2011-10-27 21:46:50 UTC
Created attachment 459242 [details]
/var/log/NetworkManager

See NM shutdown at 22:25. what could have killed it?
Comment 4 Will Stephenson 2011-10-27 21:48:08 UTC
NetworkManager is enabled in sysconfig
Comment 5 Will Stephenson 2011-10-27 21:48:53 UTC
Oops, reopening
Comment 6 Andreas Jaeger 2011-10-28 07:48:50 UTC
Will, I don't understand your attachment and the comments - and how they are related to the bugreport.

Please add some more comments and then assign it to the proper person, please.
Comment 7 Will Stephenson 2011-10-28 09:03:29 UTC
A comment got lost due to a midair collision.  

In my installed systems NetworkManager is not running after the first boot.  The log shows that it started but closed itself down on request.
Comment 8 Will Stephenson 2011-10-28 09:17:25 UTC
Last tested with openSUSE-DVD-x86_64-Build0005-Media.iso from dist
Comment 9 Vincent Untz 2011-10-28 09:42:39 UTC
I had seen that issue a while ago, but I can't reproduce this with my live image of rc1.

Is this after installation, or even on the live image? Any idea what happened at the time when it closed itself on request?
Comment 10 Will Stephenson 2011-10-28 10:12:23 UTC
This has come up since RC1.  Same happens with ifup networking - the network is stopped after yast phase2.  Coolo and Bernard are looking into it.
Comment 11 Will Stephenson 2011-10-28 10:38:44 UTC
On second boot of Build0010 (regular reboot after installation has completed), NetworkManager is running but neither NetworkManager nor ip/ifconfig etc see any network interfaces.
Comment 12 Stephan Kulow 2011-10-28 11:34:45 UTC
it stopped seconds after yast finished 2nd stage configuration. This looks like a systemd problem really. NM is asked to stop - assigning to the Navigator as default blame target :)
Comment 13 Stephan Kulow 2011-10-28 11:35:12 UTC
Vuntz, this is a DVD problem as it's related to the 2nd stage of Yast. I'm 99% sure of that.
Comment 14 Stephan Kulow 2011-10-28 11:51:30 UTC
/usr/lib/YaST2/startup/Second-Stage/09-cleanup is the one calling rcnetwork stop

Yast 2nd stage assumes it has setup the network and wants to shut down network itself.

I would say YaST2-Second-Stage.service needs to be Before=network.target
Comment 15 Will Stephenson 2011-10-28 12:39:39 UTC
*** Bug 726435 has been marked as a duplicate of this bug. ***
Comment 16 Will Stephenson 2011-10-28 12:43:13 UTC
If it was only rcnetwork stop, why is the kernel not reporting any network interfaces to the command line tools? I'd expect them to be there, but down.  Does yast 2nd stage do something to make udev locate network interfaces in the final installed system?
Comment 17 Frederic Crozat 2011-10-31 12:58:27 UTC
AFAIK, yast2 second stage is supposed to be started before network is up (this is how I'm reading /etc/init.d/boot ), so YaST2 second stage .service is following the same dependencies.
Comment 18 Frederic Crozat 2011-10-31 13:00:08 UTC
Ohh, I misread.. Indeed, there is nothing preventing systemd to start network before YaST2.

but adding Before=network.target wouldn't prevent network to be started.

if we want to ensure both NM and network initscript aren't started before YaST2 Second stage, we need :
Before=network.service NetworkManager.service in YaST2 second stage .service
Comment 19 Martin Vidner 2011-11-01 13:48:50 UTC
*** Bug 724151 has been marked as a duplicate of this bug. ***
Comment 20 Will Stephenson 2011-11-02 12:12:06 UTC
Ignore comment #16, this was due to a botched install.

On first boot of Build0010 I see this:
linux-zow9:~ # rcnetwork status
network.service - LSB: Configure the localfs depending network interfaces
          Loaded: loaded (/etc/init.d/network)
          Active: inactive (dead) since Wed, 02 Nov 2011 14:07:54 +0100; 1min 23s ago
         Process: 4802 ExecStop=/etc/init.d/network stop (code=exited, status=0/SUCCESS)
          CGroup: name=systemd:/system/network.service
Comment 21 Frederic Crozat 2011-11-02 16:21:53 UTC
fix committed in yast svn,

please release a new yast-installation package
Comment 22 Martin Vidner 2011-11-03 15:45:39 UTC
*** Bug 726003 has been marked as a duplicate of this bug. ***
Comment 23 Will Stephenson 2011-11-04 10:51:10 UTC
Jiri, can you submit this to Factory?
Comment 24 Frans Leerink 2011-11-05 00:44:24 UTC
Hello,

I tested openSUSE 12.1-RC2 on my notebook but the problem still exists, at least for non-dhcp network settings. The network cable was connected to the laptop.

The install went as expected but during the 1st manual system configuration I set up the networkcard configuration (I suppose via Yast) with the required ip-addresses, but the network failed during test in getting updated releasenote.

After logging in the system the was no network icon in the taskbar while Yast/network devices/network settings say that the network was at that moment controlled via networkmanager. There was no connection to the network in Firefox.

After logging out and in again the taskbar showed the network icon and I had to  setup the wired network again, no data from earlier entered (1st manual system configuration) was available. After the setup wired network functioned normally.

Regards,  Frans
Comment 25 Jiří Suchomel 2011-11-06 17:26:40 UTC
I've submitted yast2-installation with the changes from Frederic (thanks!), it's yast2-installation-2.21.28. So before you reopen next time, check your version first.

(I'm sick, that's why I have not seen it earlier)
Comment 26 Bernhard Wiedemann 2011-11-07 07:00:13 UTC
This is an autogenerated message for OBS integration:
This bug (726823) was mentioned in
https://build.opensuse.org/request/show/90211 Factory / yast2-installation
Comment 27 Andreas Jaeger 2011-11-07 10:10:52 UTC
*** Bug 728557 has been marked as a duplicate of this bug. ***
Comment 28 Jiří Suchomel 2011-11-09 16:53:32 UTC
*** Bug 728849 has been marked as a duplicate of this bug. ***
Comment 29 Marius Tomaschewski 2011-11-14 15:54:20 UTC
*** Bug 728327 has been marked as a duplicate of this bug. ***
Comment 30 Patrick Smart 2011-11-20 23:59:29 UTC
Well, this hit the released version, or at least Bug 726003 did. I did a network install (media free method) and after the install, the network was not enabled. rcnetwork restart or going through yast network settings didn't change a thing. A reboot solved it.

BTW, it is not obvious KNetworkManager is not used anymore as yast is still referring to it.
Comment 31 Will Stephenson 2011-11-23 20:41:05 UTC
*** Bug 728381 has been marked as a duplicate of this bug. ***
Comment 32 Aaron Williams 2011-12-23 02:10:00 UTC
I am running into this problem with the final DVD. I did a clean install in a VM and need to use the network manager for VPN access. I am running KDE and I do not see the network manager. In the KDE control panel (kcm) the icon is showing a blank page with a question mark on it (i.e. icon missing). I am able to set up the VPN settings there.

However, no icon appears in the bar at the bottom of the screen. When I get a list of widgets to add I see Network Management with the same missing icon. If I drag it to the bar it does not show up.

I have installed all the latest updates.
Comment 33 Aaron Williams 2011-12-23 02:11:10 UTC
I might add that I used Yast to configure the network to use the network management and have double checked in /etc/sysconfig/network/config that this is the case.
Comment 34 Jiří Suchomel 2011-12-23 21:56:44 UTC
The original fix was from Frederic, therefor reassigning.

However, comment 32 does not imply at all that it might be related to YaST. Does your problem happen really only right after installation or also after next reboots?
Comment 35 Aaron Williams 2011-12-23 22:51:23 UTC
No, the problem happens all the time.  The only way I can get the network manager to display is to issue the command:

plasmoidviewer org.kde.networkmanagement on the command line.

Note that I did a clean install and installed all the updates and still see the same problem.
Comment 36 Jiří Suchomel 2011-12-24 22:16:33 UTC
(In reply to comment #35)
> No, the problem happens all the time.  

So, please open a different bug report and do not reopen this one which is related to YaST.
Comment 37 Aaron Williams 2011-12-27 22:48:33 UTC
New bug filed.
Comment 38 Frederic Crozat 2012-01-27 12:58:17 UTC
let's close this bug, then.